create procedure sistema.sp_limpiarSucursalUsuarioModulo
@numUsuario int,
@numConfiguracion int,
@txtAsignaciones varchar(200)
as
begin
	set nocount on;

	DECLARE @dbSql varchar(3000);

	set @dbSql = 'DELETE FROM sistema.config_sucursalesUsuario WHERE idUsuario = '+CAST(@numUsuario as varchar)+' AND idConfig = '+CAST(@numConfiguracion as varchar)+' AND id not in('+@txtAsignaciones+')';
	EXEC(@dbSql);
end